import { NamedTensorMap, NamedTensorsMap, TensorInfo } from '../data/types';
import { Graph } from '../operations/types';
export declare class GraphExecutor {
    private graph;
    private compiledMap;
    private _weightMap;
    private weightIds;
    private placeholders;
    private _outputs;
    private SEPERATOR;
    weightMap: NamedTensorsMap;
    readonly inputs: TensorInfo[];
    readonly outputs: TensorInfo[];
    readonly inputNodes: string[];
    readonly outputNodes: string[];
    constructor(graph: Graph);
    readonly isControlFlowModel: boolean;
    readonly isDynamicShapeModel: boolean;
    private compile(startNodes?);
    execute(inputs: NamedTensorsMap, strictInputCheck?: boolean, outputs?: string | string[]): NamedTensorMap;
    private getFrozenTensorIds(tensorMap);
    private checkTensorForDisposal(nodeName, node, tensorMap, context, tensorsToKeep, outputNames, intermediateTensorConsumerCount);
    executeAsync(inputs: NamedTensorsMap, outputs?: string | string[]): Promise<NamedTensorMap>;
    private executeWithControlFlow(inputs, context, outputNames);
    private processStack(inputNodes, stack, context, tensorMap, added, tensorsToKeep, outputNames, intermediateTensorConsumerCount);
    private processChildNodes(node, stack, context, tensorMap, added);
    private calculateOutputs(outputs?);
    private findOutputs(tensorMap, context, outputs?);
    dispose(): void;
    private checkInputShapeAndType(inputs, strictInputCheck?);
    private checkInput(inputs, strictInputCheck?);
    private checkOutput(compiledNodes, outputs);
}
